<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('health_logs', function (Blueprint $table) {
            $table->string('init_data')->nullable()->comment('原始数据')->after('display_progress');
            $table->string('device_model')->nullable()->comment('体脂秤型号')->after('init_data');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('health_logs', function (Blueprint $table) {
            $table->dropColumn('init_data');
            $table->dropColumn('device_model');
        });
    }
};
